Universal Links

RSS for tag

Allow your users to intelligently follow links to content in your app or to your website using universal links.

Posts under Universal Links tag

200 Posts

Post

Replies

Boosts

Views

Activity

Need help debugging Universal Links
Hi! Instead of using username/password authentication, I wanted to use a magic link to authenticate users of my app to simplify the process. However, on the app review, it got rejected because of the magic link: Guideline 2.1 - Performance - App Completeness Issue Description The app exhibited one or more bugs that would negatively impact App Store users. Bug description: The Magic Link failed to open the installed app. Review device details: - Device type: iPad Air (5th generation) - OS version: iPadOS 18.1 Next Steps Test the app on supported devices to identify and resolve bugs and stability issues before submitting for review. If the bug cannot be reproduced, try the following: - For new apps, uninstall all previous versions of the app from a device, then install and follow the steps to reproduce. - For app updates, install the new version as an update to the previous version, then follow the steps to reproduce. Resources - For information about testing apps and preparing them for review, see Testing a Release Build. - To learn about troubleshooting networking issues, see Networking Overview. I had no luck to reproduce this. The magic links trigger my application on all my testing devices. I also had external testers using TestFlight and it works for all of them as well. The only time where I can see it failing is if I archive the IPA and install it on an external service like AWS Device Farm or BrowserStack App Live. But here it is very hard to debug because I think I cannot get the sysdiagnose file and I don't know if it is even supposed to work in this case because those devices are not associated with my developer account. I read countless links, tutorials and discussions on this topic but it did not really help. https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links https://developer.apple.com/documentation/xcode/allowing-apps-and-websites-to-link-to-your-content Here is my set-up: I added the Associated Domains capability to my app. There under Domains I put applinks:subdomain.domain.com Under https://subdomain.domain.com/apple-app-site-association and https://subdomain.domain.com/.well-known/apple-app-site-association I host this file with JSON content header: { "applinks": { "apps": [], "details": [ { "appID": "<TEAM>.<TestAppIdentifier>", "paths": [ "/magiclink/*", "/activate/*" ] }, { "appID": "<TEAM>.<Identifier>", "paths": [ "/magiclink/*", "/activate/*" ] } ] } } My main entry point of the app has a .onOpenURL { url in handleOpenURL(url) } on the ContentView() If I go to https://app-site-association.cdn-apple.com/a/v1/subdomain.domain.com, I see the file correctly as I specified it above. If I go on my development phone to Settings > Developers > Universal Links > Diagnostics and I enter one of the "magic links" into the field, it says with a checkmark Opens Installed Application. https://getuniversal.link/ says my AASA file is valid. Any suggestion on what I could do to further debug or resolve this is highly appreciated.
3
0
899
Nov ’24
Install eSIM from an Universal Link
I am working on an app on which I want to develop a feature to install eSIMs. I am trying to follow the approach of installing the eSIM with the Universal Link solution by appending the activation code to the link https://esimsetup.apple.com/eSIM_QRCode_Provisioning?carddata=. I was able to successfully call the link and install the eSIM. But after installation, the user stays on the settings app. Is it possible to bring my app back to foreground after installation? Furthermore, is there a way I can listen to the installation result from my app?
1
0
1.7k
Nov ’24
Universal link opening excluded path on the app instead of browser.
I need my app to open all other links except domain.com. But clicking on domain.com still opens the app though I have added 'excluded': true. Below is my aasa file { "applinks": { "apps": [], "details": [ { "appID": "com.domain", "paths": ["NOT /"], "components": [ { "/": "/", "exclude": true }, { "/": "/biz/*" }, { "/": "/offers/deal-detail*", "?": { "oId": "*" } }, { "/": "/review/*" }, { "/": "/emailActionHandler*" } ] } ] } } I have also tried to verify this with swcutil tool, and it gives the right matches and blocks 'domain.com'. But the actual behavior on an iOS device is not the same.
1
0
886
Oct ’24
iOS universal links: excluded path opens in my app
Hello. Here is my AASA file (my appID changed): { "applinks": { "apps": [], "details": [ { "appIDs": [ "A123B4567C.app.myapp.tool" ], "components": [ { "/": "/en", "exclude": true }, { "/": "/en/*", "exclude": true }, { "/": "/workspace/*", "exclude": true }, { "/": "*" } ], "paths": [ "NOT /en", "NOT /en/*", "NOT /workspace/*", "*" ] } ] } } I need to open all links with my app except those with excluded flag. When I open 'right' links, my app opens them (that's great). When I open excluded link (e.g. https://myapp.app/workspace/personal) Safari opens it (that's great) but then the app is launched (that's what not expected). What I already checked: added the old "paths" property (it wasn't there originally) rebooted my device reinstalled my app from the TestFlight then from the AppStore asked ChatGPT used AASA validator (branch.io one) cleared Safari cache checked my links for redirects What else can I check? Thanks.
2
0
2.1k
Oct ’24
Deep/universal links not working in ios with edge broser
Deeplinks in our Mobile (native) application work fine from email clients such as Gmail and Outlook with a default browser such as Safari. If the app is already installed, clicking the link launches it. However, when we click on the same link from Outlook email with the default browser, Edge, it opens directly in the browser, because any external links in Outlook email route through safe links, which prevents deep linking to the APP. The current behavior is as follows: When Safari is the default browser, the process works seamlessly, and the app opens directly. outlook-&gt;deep link pressed -&gt; redirect to safari -&gt;opens the app if already installed However, when Microsoft Edge is set as the default browser, it opens the App Store link in a popover, with an option to open the app if installed. outlook-&gt;deep link pressed -&gt; redirect to Edge-&gt;opens the app store inside edge even app already installed Note : outlook is enforcing safe link policies and also App protection policies. I would like to achieve the same behavior with Microsoft Edge as with Safari, where the app opens directly rather than redirecting to the App Store. Is there a specific configuration or workaround to ensure that Microsoft Edge, when set as the default browser, opens the app directly instead of redirecting to the App Store? Any insights or suggestions would be greatly appreciated. I am expecting that this safe link works the same as works with a safari in iOS Devices. I have also tried this - https://learn.microsoft.com/en-us/mem/intune/apps/app-protection-policy-settings-ios#exempt-universal-links but not working I'd appreciate it if you could assist me with this matter as soon as possible. How to handle deep links in Outlook when using a default browser like Edge
0
1
1.2k
Oct ’24
Universal link failing to redirect to app in special circumstances
I'm developing two native apps and one is a authentication app and other one is business app. In the main flow if buisness application is on the foreground and did nothing for at least 10 minutes it will automatically time out and redirect to the autentication app for token refresh. In this flow universal link redirect to the authetication app without opening Safari. But if i execute the below flow buissness app redirect to the Safari. Buisness App In Foregorund → Displaying a OS screen while app is in Foreground(Like Push Notification Center) → On this satate leave device for 10 minutes → Buisness app will automatically timeout and rediret to Safari(In safari 「NoSuchKey The specified key does not exist.」message is displaying but authentication app Universal link Start button is showing) → After click the Universal Link start button in Safari Authentication App open. I use the below code to start the Universal Link: if let url = URL(string: path) { UIApplication.shared.open(url) } So i would like to know is there a special reason that when Displaying a OS screen while app is in Foreground(Like Push Notification Center) affect the normal flow of Universal redirection to another app?
0
0
790
Oct ’24
Apple app site association CDN cache does not work with IPv6 only servers.
Hi, We have an IPv6 only server setup, where we have put AASA file as required: https://qa-jen.noknoktest.com/.well-known/apple-app-site-association But Apple CDN does not found it: https://app-site-association.cdn-apple.com/a/v1/qa-jen.noknoktest.com Is there any restriction on IPv6 only servers? Everything works with our other IPv4 servers. Note: With alternate mode configuration in application, the AASA is accessible to devices. There is no any geo restriction or IP filtering for server. What is missing to force CDN cache the file fro mentioned server?
8
0
2.7k
Oct ’24
Universal link issue
We are encountering an issue with the universal link functionality in our app, which was previously working as expected but has now stopped functioning We have followed all the steps to configure universal links and ensured the necessary settings are in place. The associated domains are enabled within our app's capabilities, with the following domains listed: We have also verified the apple-app-site-association files for both servers, which are accessible via the following URLs: https://app.digiboxx.com/apple-app-site-association These files appear to be correctly formatted according to Apple's guidelines. However, despite this, links such as https://app.digiboxx.com/share/123456 are no longer redirecting to the app. This is a significant issue for our customers, and we would appreciate your help in resolving the matter.
1
0
622
Oct ’24
Universal Links not working with International Domain Names?
Hello there! My problem concerns Universal Links: My website is https://www.xn--voil-3na.app/ and has a proper apple-app-site-association set, which is validate by all validators, and also well cached on Apple side. (requested with curl https://app-site-association.cdn-apple.com/a/v1/xn--voil-3na.app) My app is voilà and : My provisioning profile allows Associated Domains I can see the associated domains is well defined to xn--voil-3na.app on XCode My AppID and bundle (in the entitlements) are matching the ones on my apple-app-site-association After having made all the debugs following the docs, i'm wondering if the problem doesn't come from my international domain name. Really looking forward some help, as my application is growing (really) fast and I'd like to serve this feature to my users... Sincerly, AB from voilà
4
0
789
Oct ’24
Universal Link / AppLinks not opening the app
I am struggling getting universal links/applinks working for an App Store Event. I have been through the docs and various troubleshooting methods a number of times and cannot figure out why the universal link is not opening the app. Here's the apple-app-site-association file we have hosted on our website in .well-known (full url https://binaryformations.com/.well-known/apple-app-site-association): { "applinks": { "details": [{ "appIDs": ["com.BinaryFormations.UnderMyRoof"], "components": [{ "/": "/umrappevent/*", "comment": "Matches any URL whose path starts with /umrappevent/" }] }] } } Here's the configuration in the Associated Domains section in Xcode: I've also implemented scene(_ scene: UIScene, continue userActivity: NSUserActivity) in the window scene delegate. Just to see if it might solve the problem, I also implemented application(_ application: UIApplication, continue userActivity: NSUserActivity, restorationHandler: @escaping ([any UIUserActivityRestoring]?) -> Void) -> Bool in the application delegate. I've been testing with this URL, among others, and the app is not being opened: https://binaryformations.com/umrappevent/9999 I've tried every troubleshooting technique I could find, including the once mentioned in TN3155 on debugging universal links (https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links) and everything seems to be as it should. Here's a summary of what I've tried so far: Checked that the CDN was returning the correct apple-app-site-association file: https://app-site-association.cdn-apple.com/a/v1/binaryformations.com Ran the following test with curl to verify there are no redirects (it returned with the response code of 200): curl -v https://binaryformations.com/.well-known/apple-app-site-association Using the above mentioned apple-app-site-association file as test.json, I randomly this test using swcutil and the URL seems to match fine: sudo swcutil verify -d binaryformations.com -j test.json -u https://binaryformations.com/umrappevent/9999 { s = applinks, a = com.BinaryFormations.UnderMyRoof, d = binaryformations.com }: Pattern "https://binaryformations.com/umrappevent/9999" matched. Associated Domains Development Diagnostics on the phone seem to indicate everything is okay with the URL: Last one: after installing a build from TestFlight on an iPhone (iOS 18), I see this in the swcutil_show.txt file from a sysdiagnose after trying the following link: https://binaryformations.com/umrappevent/9999 Service: applinks App ID: G52SXV33MH.com.BinaryFormations.UnderMyRoof App Version: 20240910.0 App PI: <LSPersistentIdentifier 0x4f8026100> { v = 0, t = 0x8, u = 0x474, db = 52D70E5E-2E19-4D2C-ADA7-1E6154CA1AFA, {length = 8, bytes = 0x7404000000000000} } Domain: binaryformations.com User Approval: unspecified Site/Fmwk Approval: denied Flags: Last Checked: 2024-09-11 15:36:17 +0000 Next Check: 2024-09-16 15:17:08 +0000 I'm sure I'm doing something silly that I just keep overlooking, but cannot seem to figure it out. Is there anything that's jumping out from all of this that I'm missing? Is there any way to get more information from the diagnostics as to why the rule was denied or anything else I should try? Thank you in advance.
2
0
5.9k
Sep ’24
Universal Linking not working
Hi Team, Universal linking is not working with safelink and when using the amazon SES. https://docs.aws.amazon.com/ses/ When we have email template and click on the links we are unable to open the app with safe links, does anyone faced this problem before for when using safe link with amazon SES or any other services. Please help me to resolve this issue as soon as possible.
1
1
676
Sep ’24
AASA Status Not updating
Ive wrestled with this for days now. My first version of the app that included the app clip worked just fine, and then after using my new domains it says "Cannot Reach AASA File" I have refreshed many times, tried re-making the file and nothing works. When checking my domain, it has the right file and i validated it with branch and json validation. When clicking the app links for the app or the clip, they all work? This is frustrating because i cant create advanced app clips because it says it can't see my file Please Help, something is off here &lt;string&gt;applinks:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;appclips:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;applinks:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;applinks:www.etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:www.etherealdimension.netlify.app&lt;/string&gt;
1
0
815
Sep ’24
Trouble deving universal links, only error is enterprise managed device
iOS 16.4 and 17.2.1 Hello, I've been developing the universal link for my mobile application and I can't actually get the app to open when the link is tapped. I went through some trial and error.. but here's my current status: testing my url in settings -> developer -> associated domains shows that my link should open an installed application sysdiagnose logs show that everything looks good there: Service: applinks App ID: 1234abcd.com.example Domain: example.com User Approval: unspecified Site/Fmwk Approval: approved Last Checked: 2023-08-24 10:09:00 +0000 Next Check: 2023-08-18 21:00:19 +0000 The only thing that indicates an error of some kind is the console logs during install.. when filtering on swcd it shows an error for Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 UserInfo={Line=231, Function=<private>} I'm not sure if this is a managed device - my understanding is that managed devices allow enterprise businesses to operate the device remotely essentially (send files, run commands, etc). To my knowledge, this isn't enterprise managed device. It is listed in the devices page in my company's developer account, but we are a smaller shop, definitely not enterprise. I added the associated domain/app link via xcode, and it generated the entitlements file for me. <key>com.apple.developer.associated-domains.mdm-managed</key> <true/> switching that to false breaks the build: Provisioning profile "iOS Team Provisioning Profile: <mydomain>.<myapp>.dev" doesn't match the entitlements file's value for the com.apple.developer.associated-domains.mdm-managed entitlement. Profile qualification is using entitlement definitions that may be out of date. Connect to network to update. Removing it all together builds fine but doesn't allow me to open the app with a link. The other thing that looks off is an output in the logs filtered on swcd for Developer mode enabled: No but clearly I've enabled developer mode on the phone. I've pasted my link into my notes app and am attempting to open it from there If anyone can help me figure out what the disconnect is here, it would be greatly appreciated!
1
0
1.2k
Sep ’24
App / Universal Linking
App / Universal Linking works fine on the "normal" web browser (applies to chrome and safari) however once the page is accessed via "incognito/private" modes app / universal linking redirects the user to the app store instead of the installed application. TLDR: App / Universal Linking doesn't work properly on "Incognito" Mode
1
0
983
Sep ’24
SwiftUI .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) doesn't seem to work
We need to read the value for userActivity.referrerUrl when the app is accessed through a Universal Link, which when using the UIKit lifecycle we can easily do by implementing the method scene(_: UIScene, continue: NSUserActivity) in SceneDelegate and filtering for activity type of NSUserActivityTypeBrowsingWeb. When the app uses the SwiftUI lifecycle that method doesn't get called, even though the app is correctly configured to use AppDelegate and SceneDelegate (through the @UIApplicationDelegateAdaptor wrapper). I can confirm that the setup is correct because the method scene(_: UIScene, willConnectTo: UISceneSession, options: UIScene.ConnectionOptions) in SceneDelegate is called on app launch. The obvious SwiftUI way of achieving the same would be by using the .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) modifier, but that doesn't work. Is this a bug?
3
1
1.9k
Aug ’24
Sporadic universal link failures
We use universal links for an email link sign-in flow. In the last few days, we have received several reports of the links opening the browser instead of the app. Many other new users are able to sign-in with no problem. Our AASA file has not changed and is hosted via an S3 website, which should have extremely high availability. Anybody know what might cause this? How can I go about diagnosing it? Thanks Jacob
2
0
581
Aug ’24
AASA Matching Algorithm
I'm working on developing an AASA for an app that may be built by multiple teams, and I want to create a universal link that opens the app regardless of which team's app is installed on iOS. Right now the AASA is { "applinks":{"apps":[],"details": [ {"paths":["/abc/*"],"appID":"TEAM1.BUNDLE_ID"}, {"paths":["/abc/*"],"appID":"TEAM2.BUNDLE_ID"}, ] } } The AASA works fine for TEAM1, but when the app is built with TEAM2, it does not work (instead redirects to the appstore). I checked the swcutil.txt and it confirms that the is indeed not linked to any domains when built from TEAM2. Is there a known fix for this, or a potential cause?
1
0
939
Aug ’24
Need help debugging Universal Links
Hi! Instead of using username/password authentication, I wanted to use a magic link to authenticate users of my app to simplify the process. However, on the app review, it got rejected because of the magic link: Guideline 2.1 - Performance - App Completeness Issue Description The app exhibited one or more bugs that would negatively impact App Store users. Bug description: The Magic Link failed to open the installed app. Review device details: - Device type: iPad Air (5th generation) - OS version: iPadOS 18.1 Next Steps Test the app on supported devices to identify and resolve bugs and stability issues before submitting for review. If the bug cannot be reproduced, try the following: - For new apps, uninstall all previous versions of the app from a device, then install and follow the steps to reproduce. - For app updates, install the new version as an update to the previous version, then follow the steps to reproduce. Resources - For information about testing apps and preparing them for review, see Testing a Release Build. - To learn about troubleshooting networking issues, see Networking Overview. I had no luck to reproduce this. The magic links trigger my application on all my testing devices. I also had external testers using TestFlight and it works for all of them as well. The only time where I can see it failing is if I archive the IPA and install it on an external service like AWS Device Farm or BrowserStack App Live. But here it is very hard to debug because I think I cannot get the sysdiagnose file and I don't know if it is even supposed to work in this case because those devices are not associated with my developer account. I read countless links, tutorials and discussions on this topic but it did not really help. https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links https://developer.apple.com/documentation/xcode/allowing-apps-and-websites-to-link-to-your-content Here is my set-up: I added the Associated Domains capability to my app. There under Domains I put applinks:subdomain.domain.com Under https://subdomain.domain.com/apple-app-site-association and https://subdomain.domain.com/.well-known/apple-app-site-association I host this file with JSON content header: { "applinks": { "apps": [], "details": [ { "appID": "<TEAM>.<TestAppIdentifier>", "paths": [ "/magiclink/*", "/activate/*" ] }, { "appID": "<TEAM>.<Identifier>", "paths": [ "/magiclink/*", "/activate/*" ] } ] } } My main entry point of the app has a .onOpenURL { url in handleOpenURL(url) } on the ContentView() If I go to https://app-site-association.cdn-apple.com/a/v1/subdomain.domain.com, I see the file correctly as I specified it above. If I go on my development phone to Settings > Developers > Universal Links > Diagnostics and I enter one of the "magic links" into the field, it says with a checkmark Opens Installed Application. https://getuniversal.link/ says my AASA file is valid. Any suggestion on what I could do to further debug or resolve this is highly appreciated.
Replies
3
Boosts
0
Views
899
Activity
Nov ’24
Install eSIM from an Universal Link
I am working on an app on which I want to develop a feature to install eSIMs. I am trying to follow the approach of installing the eSIM with the Universal Link solution by appending the activation code to the link https://esimsetup.apple.com/eSIM_QRCode_Provisioning?carddata=. I was able to successfully call the link and install the eSIM. But after installation, the user stays on the settings app. Is it possible to bring my app back to foreground after installation? Furthermore, is there a way I can listen to the installation result from my app?
Replies
1
Boosts
0
Views
1.7k
Activity
Nov ’24
Universal link opening excluded path on the app instead of browser.
I need my app to open all other links except domain.com. But clicking on domain.com still opens the app though I have added 'excluded': true. Below is my aasa file { "applinks": { "apps": [], "details": [ { "appID": "com.domain", "paths": ["NOT /"], "components": [ { "/": "/", "exclude": true }, { "/": "/biz/*" }, { "/": "/offers/deal-detail*", "?": { "oId": "*" } }, { "/": "/review/*" }, { "/": "/emailActionHandler*" } ] } ] } } I have also tried to verify this with swcutil tool, and it gives the right matches and blocks 'domain.com'. But the actual behavior on an iOS device is not the same.
Replies
1
Boosts
0
Views
886
Activity
Oct ’24
iOS universal links: excluded path opens in my app
Hello. Here is my AASA file (my appID changed): { "applinks": { "apps": [], "details": [ { "appIDs": [ "A123B4567C.app.myapp.tool" ], "components": [ { "/": "/en", "exclude": true }, { "/": "/en/*", "exclude": true }, { "/": "/workspace/*", "exclude": true }, { "/": "*" } ], "paths": [ "NOT /en", "NOT /en/*", "NOT /workspace/*", "*" ] } ] } } I need to open all links with my app except those with excluded flag. When I open 'right' links, my app opens them (that's great). When I open excluded link (e.g. https://myapp.app/workspace/personal) Safari opens it (that's great) but then the app is launched (that's what not expected). What I already checked: added the old "paths" property (it wasn't there originally) rebooted my device reinstalled my app from the TestFlight then from the AppStore asked ChatGPT used AASA validator (branch.io one) cleared Safari cache checked my links for redirects What else can I check? Thanks.
Replies
2
Boosts
0
Views
2.1k
Activity
Oct ’24
Deep/universal links not working in ios with edge broser
Deeplinks in our Mobile (native) application work fine from email clients such as Gmail and Outlook with a default browser such as Safari. If the app is already installed, clicking the link launches it. However, when we click on the same link from Outlook email with the default browser, Edge, it opens directly in the browser, because any external links in Outlook email route through safe links, which prevents deep linking to the APP. The current behavior is as follows: When Safari is the default browser, the process works seamlessly, and the app opens directly. outlook-&gt;deep link pressed -&gt; redirect to safari -&gt;opens the app if already installed However, when Microsoft Edge is set as the default browser, it opens the App Store link in a popover, with an option to open the app if installed. outlook-&gt;deep link pressed -&gt; redirect to Edge-&gt;opens the app store inside edge even app already installed Note : outlook is enforcing safe link policies and also App protection policies. I would like to achieve the same behavior with Microsoft Edge as with Safari, where the app opens directly rather than redirecting to the App Store. Is there a specific configuration or workaround to ensure that Microsoft Edge, when set as the default browser, opens the app directly instead of redirecting to the App Store? Any insights or suggestions would be greatly appreciated. I am expecting that this safe link works the same as works with a safari in iOS Devices. I have also tried this - https://learn.microsoft.com/en-us/mem/intune/apps/app-protection-policy-settings-ios#exempt-universal-links but not working I'd appreciate it if you could assist me with this matter as soon as possible. How to handle deep links in Outlook when using a default browser like Edge
Replies
0
Boosts
1
Views
1.2k
Activity
Oct ’24
Universal link failing to redirect to app in special circumstances
I'm developing two native apps and one is a authentication app and other one is business app. In the main flow if buisness application is on the foreground and did nothing for at least 10 minutes it will automatically time out and redirect to the autentication app for token refresh. In this flow universal link redirect to the authetication app without opening Safari. But if i execute the below flow buissness app redirect to the Safari. Buisness App In Foregorund → Displaying a OS screen while app is in Foreground(Like Push Notification Center) → On this satate leave device for 10 minutes → Buisness app will automatically timeout and rediret to Safari(In safari 「NoSuchKey The specified key does not exist.」message is displaying but authentication app Universal link Start button is showing) → After click the Universal Link start button in Safari Authentication App open. I use the below code to start the Universal Link: if let url = URL(string: path) { UIApplication.shared.open(url) } So i would like to know is there a special reason that when Displaying a OS screen while app is in Foreground(Like Push Notification Center) affect the normal flow of Universal redirection to another app?
Replies
0
Boosts
0
Views
790
Activity
Oct ’24
Apple app site association CDN cache does not work with IPv6 only servers.
Hi, We have an IPv6 only server setup, where we have put AASA file as required: https://qa-jen.noknoktest.com/.well-known/apple-app-site-association But Apple CDN does not found it: https://app-site-association.cdn-apple.com/a/v1/qa-jen.noknoktest.com Is there any restriction on IPv6 only servers? Everything works with our other IPv4 servers. Note: With alternate mode configuration in application, the AASA is accessible to devices. There is no any geo restriction or IP filtering for server. What is missing to force CDN cache the file fro mentioned server?
Replies
8
Boosts
0
Views
2.7k
Activity
Oct ’24
Universal link issue
We are encountering an issue with the universal link functionality in our app, which was previously working as expected but has now stopped functioning We have followed all the steps to configure universal links and ensured the necessary settings are in place. The associated domains are enabled within our app's capabilities, with the following domains listed: We have also verified the apple-app-site-association files for both servers, which are accessible via the following URLs: https://app.digiboxx.com/apple-app-site-association These files appear to be correctly formatted according to Apple's guidelines. However, despite this, links such as https://app.digiboxx.com/share/123456 are no longer redirecting to the app. This is a significant issue for our customers, and we would appreciate your help in resolving the matter.
Replies
1
Boosts
0
Views
622
Activity
Oct ’24
Universal Links not working with International Domain Names?
Hello there! My problem concerns Universal Links: My website is https://www.xn--voil-3na.app/ and has a proper apple-app-site-association set, which is validate by all validators, and also well cached on Apple side. (requested with curl https://app-site-association.cdn-apple.com/a/v1/xn--voil-3na.app) My app is voilà and : My provisioning profile allows Associated Domains I can see the associated domains is well defined to xn--voil-3na.app on XCode My AppID and bundle (in the entitlements) are matching the ones on my apple-app-site-association After having made all the debugs following the docs, i'm wondering if the problem doesn't come from my international domain name. Really looking forward some help, as my application is growing (really) fast and I'd like to serve this feature to my users... Sincerly, AB from voilà
Replies
4
Boosts
0
Views
789
Activity
Oct ’24
Universal Link / AppLinks not opening the app
I am struggling getting universal links/applinks working for an App Store Event. I have been through the docs and various troubleshooting methods a number of times and cannot figure out why the universal link is not opening the app. Here's the apple-app-site-association file we have hosted on our website in .well-known (full url https://binaryformations.com/.well-known/apple-app-site-association): { "applinks": { "details": [{ "appIDs": ["com.BinaryFormations.UnderMyRoof"], "components": [{ "/": "/umrappevent/*", "comment": "Matches any URL whose path starts with /umrappevent/" }] }] } } Here's the configuration in the Associated Domains section in Xcode: I've also implemented scene(_ scene: UIScene, continue userActivity: NSUserActivity) in the window scene delegate. Just to see if it might solve the problem, I also implemented application(_ application: UIApplication, continue userActivity: NSUserActivity, restorationHandler: @escaping ([any UIUserActivityRestoring]?) -> Void) -> Bool in the application delegate. I've been testing with this URL, among others, and the app is not being opened: https://binaryformations.com/umrappevent/9999 I've tried every troubleshooting technique I could find, including the once mentioned in TN3155 on debugging universal links (https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links) and everything seems to be as it should. Here's a summary of what I've tried so far: Checked that the CDN was returning the correct apple-app-site-association file: https://app-site-association.cdn-apple.com/a/v1/binaryformations.com Ran the following test with curl to verify there are no redirects (it returned with the response code of 200): curl -v https://binaryformations.com/.well-known/apple-app-site-association Using the above mentioned apple-app-site-association file as test.json, I randomly this test using swcutil and the URL seems to match fine: sudo swcutil verify -d binaryformations.com -j test.json -u https://binaryformations.com/umrappevent/9999 { s = applinks, a = com.BinaryFormations.UnderMyRoof, d = binaryformations.com }: Pattern "https://binaryformations.com/umrappevent/9999" matched. Associated Domains Development Diagnostics on the phone seem to indicate everything is okay with the URL: Last one: after installing a build from TestFlight on an iPhone (iOS 18), I see this in the swcutil_show.txt file from a sysdiagnose after trying the following link: https://binaryformations.com/umrappevent/9999 Service: applinks App ID: G52SXV33MH.com.BinaryFormations.UnderMyRoof App Version: 20240910.0 App PI: <LSPersistentIdentifier 0x4f8026100> { v = 0, t = 0x8, u = 0x474, db = 52D70E5E-2E19-4D2C-ADA7-1E6154CA1AFA, {length = 8, bytes = 0x7404000000000000} } Domain: binaryformations.com User Approval: unspecified Site/Fmwk Approval: denied Flags: Last Checked: 2024-09-11 15:36:17 +0000 Next Check: 2024-09-16 15:17:08 +0000 I'm sure I'm doing something silly that I just keep overlooking, but cannot seem to figure it out. Is there anything that's jumping out from all of this that I'm missing? Is there any way to get more information from the diagnostics as to why the rule was denied or anything else I should try? Thank you in advance.
Replies
2
Boosts
0
Views
5.9k
Activity
Sep ’24
Universal Linking not working
Hi Team, Universal linking is not working with safelink and when using the amazon SES. https://docs.aws.amazon.com/ses/ When we have email template and click on the links we are unable to open the app with safe links, does anyone faced this problem before for when using safe link with amazon SES or any other services. Please help me to resolve this issue as soon as possible.
Replies
1
Boosts
1
Views
676
Activity
Sep ’24
AASA Status Not updating
Ive wrestled with this for days now. My first version of the app that included the app clip worked just fine, and then after using my new domains it says "Cannot Reach AASA File" I have refreshed many times, tried re-making the file and nothing works. When checking my domain, it has the right file and i validated it with branch and json validation. When clicking the app links for the app or the clip, they all work? This is frustrating because i cant create advanced app clips because it says it can't see my file Please Help, something is off here &lt;string&gt;applinks:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;appclips:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;applinks:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;applinks:www.etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:www.etherealdimension.netlify.app&lt;/string&gt;
Replies
1
Boosts
0
Views
815
Activity
Sep ’24
App Search API Validation Tool
Hello there, I try to add universal links to my app but get some problems. When I started researching how I can test it I found a lot of talks about App Search API Validation Tool. But this service is not open for me, I'm always redirected to the home page. Is there something wrong with me or is this service not working at all?
Replies
0
Boosts
0
Views
982
Activity
Sep ’24
Universal link data not receiving after installing app
While we have shared any product link to the user. If the user doesn't have our app, it will be taking him to the app store and after installation, we need to show that product page to him. So, how can we get that shared link after installing the app from the app store. Can you share any reference code if available.
Replies
1
Boosts
0
Views
669
Activity
Sep ’24
Trouble deving universal links, only error is enterprise managed device
iOS 16.4 and 17.2.1 Hello, I've been developing the universal link for my mobile application and I can't actually get the app to open when the link is tapped. I went through some trial and error.. but here's my current status: testing my url in settings -> developer -> associated domains shows that my link should open an installed application sysdiagnose logs show that everything looks good there: Service: applinks App ID: 1234abcd.com.example Domain: example.com User Approval: unspecified Site/Fmwk Approval: approved Last Checked: 2023-08-24 10:09:00 +0000 Next Check: 2023-08-18 21:00:19 +0000 The only thing that indicates an error of some kind is the console logs during install.. when filtering on swcd it shows an error for Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 UserInfo={Line=231, Function=<private>} I'm not sure if this is a managed device - my understanding is that managed devices allow enterprise businesses to operate the device remotely essentially (send files, run commands, etc). To my knowledge, this isn't enterprise managed device. It is listed in the devices page in my company's developer account, but we are a smaller shop, definitely not enterprise. I added the associated domain/app link via xcode, and it generated the entitlements file for me. <key>com.apple.developer.associated-domains.mdm-managed</key> <true/> switching that to false breaks the build: Provisioning profile "iOS Team Provisioning Profile: <mydomain>.<myapp>.dev" doesn't match the entitlements file's value for the com.apple.developer.associated-domains.mdm-managed entitlement. Profile qualification is using entitlement definitions that may be out of date. Connect to network to update. Removing it all together builds fine but doesn't allow me to open the app with a link. The other thing that looks off is an output in the logs filtered on swcd for Developer mode enabled: No but clearly I've enabled developer mode on the phone. I've pasted my link into my notes app and am attempting to open it from there If anyone can help me figure out what the disconnect is here, it would be greatly appreciated!
Replies
1
Boosts
0
Views
1.2k
Activity
Sep ’24
App / Universal Linking
App / Universal Linking works fine on the "normal" web browser (applies to chrome and safari) however once the page is accessed via "incognito/private" modes app / universal linking redirects the user to the app store instead of the installed application. TLDR: App / Universal Linking doesn't work properly on "Incognito" Mode
Replies
1
Boosts
0
Views
983
Activity
Sep ’24
SwiftUI .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) doesn't seem to work
We need to read the value for userActivity.referrerUrl when the app is accessed through a Universal Link, which when using the UIKit lifecycle we can easily do by implementing the method scene(_: UIScene, continue: NSUserActivity) in SceneDelegate and filtering for activity type of NSUserActivityTypeBrowsingWeb. When the app uses the SwiftUI lifecycle that method doesn't get called, even though the app is correctly configured to use AppDelegate and SceneDelegate (through the @UIApplicationDelegateAdaptor wrapper). I can confirm that the setup is correct because the method scene(_: UIScene, willConnectTo: UISceneSession, options: UIScene.ConnectionOptions) in SceneDelegate is called on app launch. The obvious SwiftUI way of achieving the same would be by using the .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) modifier, but that doesn't work. Is this a bug?
Replies
3
Boosts
1
Views
1.9k
Activity
Aug ’24
Sporadic universal link failures
We use universal links for an email link sign-in flow. In the last few days, we have received several reports of the links opening the browser instead of the app. Many other new users are able to sign-in with no problem. Our AASA file has not changed and is hosted via an S3 website, which should have extremely high availability. Anybody know what might cause this? How can I go about diagnosing it? Thanks Jacob
Replies
2
Boosts
0
Views
581
Activity
Aug ’24
AASA Matching Algorithm
I'm working on developing an AASA for an app that may be built by multiple teams, and I want to create a universal link that opens the app regardless of which team's app is installed on iOS. Right now the AASA is { "applinks":{"apps":[],"details": [ {"paths":["/abc/*"],"appID":"TEAM1.BUNDLE_ID"}, {"paths":["/abc/*"],"appID":"TEAM2.BUNDLE_ID"}, ] } } The AASA works fine for TEAM1, but when the app is built with TEAM2, it does not work (instead redirects to the appstore). I checked the swcutil.txt and it confirms that the is indeed not linked to any domains when built from TEAM2. Is there a known fix for this, or a potential cause?
Replies
1
Boosts
0
Views
939
Activity
Aug ’24